Bug 426542 - Review Request: perl-Module-CPANTS-Analyse - Generate Kwalitee ratings for a distribution
Review Request: perl-Module-CPANTS-Analyse - Generate Kwalitee ratings for a ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 426529 426530 426539
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 16:48 EST by Daniel Berrange
Modified: 2014-01-28 08:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-28 15:41:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2007-12-21 16:48:25 EST
Spec URL: http://berrange.fedorapeople.org/review/perl-Module-CPANTS-Analyse/perl-Module-CPANTS-Analyse.spec
SRPM URL: http://berrange.fedorapeople.org/review/perl-Module-CPANTS-Analyse/perl-Module-CPANTS-Analyse-0.75-1.fc9.src.rpm
Description: 
CPANTS is an acronym for CPAN Testing Service. The goals 
of the CPANTS project are to provide some sort of quality
measure (called "Kwalitee") and lots of metadata for all 
distributions on CPAN.
Comment 1 Parag AN(पराग) 2007-12-25 02:21:53 EST
make test failed
http://koji.fedoraproject.org/koji/getfile?taskID=309566&name=build.log
Comment 3 Parag AN(पराग) 2007-12-27 01:03:48 EST
Review:
+ package builds in mock (rawhide).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
87c4e88f676c1e05e0c52b5261ee3acc  Module-CPANTS-Analyse-0.75.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test output is
t/00_load...................ok
t/99_critic.................skipped
        all skipped: Test::Perl::Critic only run for author tests
t/99_pod....................ok
t/99_pod_coverage...........ok
t/analyse...................ok
t/analyse_afs...............ok
t/analyse_axkit_xsp_l10n....ok
t/analyse_devel_timer.......ok
t/analyse_eg_c..............ok
t/analyse_html_tiny.........ok
t/analyse_test_yaml_meta....ok
t/calc......................ok
t/calc_test_yaml_meta.......ok
t/kwalitee..................ok
t/plugin_manifest...........ok
t/plugins...................ok
t/testdir...................ok
t/testfile..................ok
t/unpack....................ok
t/unpack_notextractable.....ok
All tests successful, 1 test skipped.
Files=20, Tests=181,  5 wallclock secs ( 4.28 cusr +  0.66 csys =  4.94 CPU)

+ Package perl-Module-CPANTS-Analyse-0.75-2.fc9 ->
  Provides: perl(Module::CPANTS::Analyse) perl(Module::CPANTS::Kwalitee)
perl(Module::CPANTS::Kwalitee::BrokenInstaller)
perl(Module::CPANTS::Kwalitee::CpantsErrors)
perl(Module::CPANTS::Kwalitee::Distname) perl(Module::CPANTS::Kwalitee::Files)
perl(Module::CPANTS::Kwalitee::FindModules)
perl(Module::CPANTS::Kwalitee::License) perl(Module::CPANTS::Kwalitee::Manifest)
perl(Module::CPANTS::Kwalitee::MetaYML)
perl(Module::CPANTS::Kwalitee::NeedsCompiler)
perl(Module::CPANTS::Kwalitee::Pod) perl(Module::CPANTS::Kwalitee::Prereq)
perl(Module::CPANTS::Kwalitee::Uses)
  Requires: /usr/bin/perl perl(:MODULE_COMPAT_5.8.8) perl(Archive::Any)
perl(Archive::Any) >= 0.06 perl(Archive::Tar) >= 1.30 perl(Array::Diff)
perl(Array::Diff) >= 0.04 perl(CPAN::DistnameInfo) perl(CPAN::DistnameInfo) >=
0.06 perl(Carp) perl(Class::Accessor) >= 0.19 perl(Cwd) perl(Data::Dumper)
perl(File::Basename) perl(File::Copy) perl(File::Find)
perl(File::Spec::Functions) perl(File::Temp) perl(File::stat) perl(Getopt::Long)
perl(IO::Capture) >= 0.05 perl(IO::Capture::Stderr) perl(IO::Capture::Stdout)
perl(Module::CPANTS::Analyse) perl(Module::CPANTS::Kwalitee)
perl(Module::ExtractUse) perl(Module::ExtractUse) >= 0.18
perl(Module::Pluggable) perl(Module::Pluggable) >= 2.96
perl(Pod::Simple::Checker) perl(Pod::Simple::Checker) >= 2.02
perl(Pod::Simple::TextContent) perl(Pod::Usage) perl(Test::YAML::Meta::Version)
perl(Test::YAML::Meta::Version) >= 0.04 perl(YAML::Syck) perl(YAML::Syck) >=
0.95 perl(base) perl(strict) perl(version) perl(version) >= 0.73 perl(warnings)

APPROVED.
Comment 4 Daniel Berrange 2007-12-27 10:33:55 EST
New Package CVS Request
=======================
Package Name: perl-Module-CPANTS-Analyseh
Short Description: Generate Kwalitee ratings for a distribution
Owners: berrange
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-12-27 12:39:29 EST
cvs done.
Comment 6 Daniel Berrange 2007-12-27 13:04:28 EST
There was a typo in the CVS request comment - 'perl-Module-CPANTS-Analyseh'
should be 'perl-Module-CPANTS-Analyse'  - note without the trailing 'h' character
Comment 7 Kevin Fenzi 2007-12-28 12:42:15 EST
Oops. Sorry for missing that... will try and get it cleaned up... 
Comment 8 Toshio Ernie Kuratomi 2007-12-28 15:03:50 EST
Cleaned up.  pkgdb, cvs directory, and cvs modules have been renamed
Comment 9 Daniel Berrange 2007-12-28 15:41:20 EST
Looks good - thanks for sorting it out.

$ koji latest-pkg dist-f9 perl-Module-CPANTS-Analyse
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
perl-Module-CPANTS-Analyse-0.75-2.fc9     dist-f9               berrange
Comment 10 Kevin Fenzi 2007-12-29 16:14:59 EST
Setting the cvs flag to done here. 
Comment 11 Daniel Berrange 2010-06-24 06:16:05 EDT
Package Change Request
======================
Package Name: perl-Module-CPANTS-Analyse
New Branches: EL-6
Owners: berrange
Comment 12 Jason Tibbitts 2010-06-25 14:37:54 EDT
CVS done.
Comment 13 Paul Howarth 2012-03-05 10:20:15 EST
Hi Daniel,

can we have an EL-5 branch for this package please? The current Rawhide package builds OK in EPEL-5 once all of its dependencies are satisfied. I (pghmcfc) am willing to maintain this branch if you're not interested.
Comment 14 Daniel Berrange 2012-03-06 06:45:09 EST
Package Change Request
======================
Package Name: perl-Module-CPANTS-Analyse
New Branches: EL-5
Owners: berrange
Comment 15 Jon Ciesla 2012-03-06 08:00:23 EST
Git done (by process-git-requests).
Comment 16 Fedora Update System 2012-03-18 09:57:51 EDT
perl-Module-CPANTS-Analyse-0.85-11.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Module-CPANTS-Analyse-0.85-11.el5
Comment 17 Fedora Update System 2012-04-02 14:27:19 EDT
perl-Module-CPANTS-Analyse-0.85-11.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 18 Lubomir Rintel 2014-01-28 08:10:15 EST
Package Change Request
======================
Package Name: perl-Module-CPANTS-Analyse
New Branches: epel7
Owners: lkundrak berrange

> I don't do any EPEL maintainance work myself, but if you want to request
> co-maintainer permissions for any of my Perl packages I'll happily approve
> it. I think it is always better to have multiple maintainers for any
> Fedora package than to have a single point of failure/bottleneck.
Comment 19 Jon Ciesla 2014-01-28 08:14:27 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.